# Prediction API

## Instance Methods

Returns the hostedmodels Resource.

Returns the training Resource.

Create a BatchHttpRequest object based on the discovery document.

Submit data and request a prediction

### Method Details

`new_batch_http_request()`

    Create a BatchHttpRequest object based on the discovery document.

            Args:
              callback: callable, A callback to be called for each response, of the
                form callback(id, response, exception). The first parameter is the
                request id, and the second is the deserialized response object. The
                third is an apiclient.errors.HttpError exception object if an HTTP
                error occurred while processing the request, or None if no error
                occurred.

            Returns:
              A BatchHttpRequest object based on the discovery document.

`predict(data, body)`

    Submit data and request a prediction

    Args:
      data: string, mybucket%2Fmydata resource in Google Storage (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "input": {
          "csvInstance": [
            "",
          ],
        },
      }

    Returns:
      An object of the form:

        {
        "kind": "prediction#output",
        "outputLabel": "A String",
        "id": "A String",
        "outputMulti": [
          {
            "score": 3.14,
            "label": "A String",
          },
        ],
        "outputValue": 3.14,
        "selfLink": "A String",
      }